Bug 190658 - ATA: abnormal status 0x7F on port 0xFE27
ATA: abnormal status 0x7F on port 0xFE27
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks: FCMETA_SATA
  Show dependency treegraph
 
Reported: 2006-05-04 05:42 EDT by Mike Cohler
Modified: 2013-07-02 22:28 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.6.22.5-76.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 11:08:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages starting at the boot today (30.79 KB, application/octet-stream)
2006-05-04 05:42 EDT, Mike Cohler
no flags Details
/var/log/messages including boot for 08 May 2006 (35.28 KB, application/octet-stream)
2006-05-08 03:19 EDT, Mike Cohler
no flags Details
Section of /var/log/messages for boot of kernel 2.6.18-1.2200.fc5smp (30.86 KB, text/plain)
2006-10-27 06:00 EDT, Mike Cohler
no flags Details
/var/log/messages (32.10 KB, application/octet-stream)
2006-11-21 05:52 EST, Mike Cohler
no flags Details
message file (32.68 KB, application/octet-stream)
2006-11-28 23:47 EST, Jeronimo Martinez Sanchez
no flags Details

  None (edit)
Description Mike Cohler 2006-05-04 05:42:50 EDT
Description of problem:During boot see messages: 1) ata2: disabling port and 2)
INIT: Entering runlevel 5: quotas: write mode: [failed]


Version-Release number of selected component (if
applicable):kernel-smp-2.6.15-1.2054_FC5 , kernel-smp-2.6.16-1.2096_FC5 and
kernel-smp-2.6.16-1.2107_FC5


How reproducible:Every time


Steps to Reproduce:
1. Boot machine
2. Note messages during boot
3.
  
Actual results: Machine continuies to boot and run but the messages during boot
appear each time.


Expected results:Should not see these messages!


Additional info:
The relevant sections of the messages file are :
May  4 08:14:42 gestalt kernel: ACPI: PCI Interrupt 0000:00:1f.2[C] -> GSI 20
(level, low) -> IRQ 201
May  4 08:14:42 gestalt kernel: ata1: SATA max UDMA/133 cmd 0xFE00 ctl 0xFE12
bmdma 0xFEA0 irq 201
May  4 08:14:42 gestalt kernel: ata2: SATA max UDMA/133 cmd 0xFE20 ctl 0xFE32
bmdma 0xFEA8 irq 201
May  4 08:14:42 gestalt kernel: ata1: dev 0 ATA-7, max UDMA/133, 312500000
sectors: LBA48
May  4 08:14:42 gestalt kernel: ata1: dev 0 configured for UDMA/133
May  4 08:14:42 gestalt kernel: scsi0 : ata_piix
May  4 08:14:42 gestalt kernel: ATA: abnormal status 0x7F on port 0xFE27
May  4 08:14:42 gestalt kernel: ata2: disabling port
May  4 08:14:42 gestalt kernel: scsi1 : ata_piix
May  4 08:14:42 gestalt kernel:   Vendor: ATA       Model: ST3160812AS      
Rev: 3.AD
May  4 08:14:42 gestalt kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 05
May  4 08:14:42 gestalt kernel: SCSI device sda: 312500000 512-byte hdwr sectors
(160000 MB)
May  4 08:14:42 gestalt kernel: sda: Write Protect is off
May  4 08:14:42 gestalt kernel: SCSI device sda: drive cache: write back
May  4 08:14:42 gestalt kernel: SCSI device sda: 312500000 512-byte hdwr sectors
(160000 MB)
May  4 08:14:42 gestalt kernel: sda: Write Protect is off
May  4 08:14:42 gestalt kernel: SCSI device sda: drive cache: write back
May  4 08:14:42 gestalt kernel:  sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 sda8 >
May  4 08:14:42 gestalt kernel: sd 0:0:0:0: Attached scsi disk sda
May  4 08:14:42 gestalt kernel: kjournald starting.  Commit interval 5 seconds

The machine is a Dell 5150 with Intel Core Duo processor.
Comment 1 Mike Cohler 2006-05-04 05:42:51 EDT
Created attachment 128593 [details]
/var/log/messages starting at the boot today
Comment 2 Dave Jones 2006-05-06 20:13:32 EDT
was 2111 any better ?
Comment 3 Mike Cohler 2006-05-07 05:42:12 EDT
It will be Monday 8th May when I next get back to that machine and I will check
then...

Mike
Comment 4 Mike Cohler 2006-05-08 03:16:03 EDT
Same messages during boot. But the detail in /var/log/messages is different:
May  8 08:19:04 gestalt kernel: SCSI subsystem initialized
May  8 08:19:04 gestalt kernel: ACPI: PCI Interrupt 0000:00:1f.2[C] -> GSI 20
(level, low) -> IRQ 17
May  8 08:19:05 gestalt ntpd[2171]: frequency initialized -63.244 PPM from
/var/lib/ntp/drift
May  8 08:19:05 gestalt avahi-daemon[2332]: Found user 'avahi' (UID 70) and
group 'avahi' (GID 70).
May  8 08:19:05 gestalt kernel: ata1: SATA max UDMA/133 cmd 0xFE00 ctl 0xFE12
bmdma 0xFEA0 irq 17
May  8 08:19:05 gestalt avahi-daemon[2332]: Successfully dropped root privileges.
May  8 08:19:05 gestalt kernel: ata2: SATA max UDMA/133 cmd 0xFE20 ctl 0xFE32
bmdma 0xFEA8 irq 17
May  8 08:19:05 gestalt avahi-daemon[2332]: avahi-daemon 0.6.9 starting up.
May  8 08:19:05 gestalt avahi-daemon[2332]: WARNING: No NSS support for mDNS
detected, consider installin
g nss-mdns!
May  8 08:19:05 gestalt kernel: ata1: dev 0 ATA-7, max UDMA/133, 312500000
sectors: LBA48
May  8 08:19:05 gestalt avahi-daemon[2332]: Successfully called chroot().
May  8 08:19:05 gestalt kernel: ata1: dev 0 configured for UDMA/133
May  8 08:19:05 gestalt avahi-daemon[2332]: Successfully dropped remaining
capabilities.
May  8 08:19:05 gestalt kernel: scsi0 : ata_piix
May  8 08:19:06 gestalt avahi-daemon[2332]: Failed to read service directory.
May  8 08:19:06 gestalt kernel: ATA: abnormal status 0x7F on port 0xFE27
May  8 08:19:06 gestalt kernel: ata2: disabling port
May  8 08:19:06 gestalt kernel: scsi1 : ata_piix
May  8 08:19:06 gestalt avahi-daemon[2332]: New relevant interface eth0.IPv4 for
mDNS.
May  8 08:19:06 gestalt kernel:   Vendor: ATA       Model: ST3160812AS      
Rev: 3.AD
May  8 08:19:06 gestalt avahi-daemon[2332]: Joining mDNS multicast group on
interface eth0.IPv4 with addr
ess 144.32.34.24.
May  8 08:19:06 gestalt kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 05
May  8 08:19:06 gestalt avahi-daemon[2332]: Network interface enumeration completed.
May  8 08:19:06 gestalt kernel: SCSI device sda: 312500000 512-byte hdwr sectors
(160000 MB)
May  8 08:19:07 gestalt avahi-daemon[2332]: Registering new address record for
144.32.34.24 on eth0.
May  8 08:19:07 gestalt kernel: sda: Write Protect is off
May  8 08:19:07 gestalt avahi-daemon[2332]: Registering HINFO record with values
'I686'/'LINUX'.
May  8 08:19:08 gestalt kernel: SCSI device sda: drive cache: write back
May  8 08:19:08 gestalt kernel: SCSI device sda: 312500000 512-byte hdwr sectors
(160000 MB)
May  8 08:19:09 gestalt kernel: sda: Write Protect is off
May  8 08:19:09 gestalt avahi-daemon[2332]: Server startup complete. Host name
is gestalt.local. Local se
rvice cookie is 251941043.
May  8 08:19:10 gestalt kernel: SCSI device sda: drive cache: write back
May  8 08:19:10 gestalt kernel:  sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 sda8 >
May  8 08:19:10 gestalt kernel: sd 0:0:0:0: Attached scsi disk sda
May  8 08:19:10 gestalt kernel: kjournald starting.  Commit interval 5 seconds
May  8 08:19:10 gestalt kernel: EXT3-fs: mounted filesystem with ordered data mode.
May  8 08:19:11 gestalt kernel: SELinux:  Disabled at runtime.
May  8 08:19:11 gestalt kernel: SELinux:  Unregistering netfilter hooks
May  8 08:19:11 gestalt kernel: ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 21
(level, low) -> IRQ 18
May  8 08:19:11 gestalt kernel: ehci_hcd 0000:00:1d.7: EHCI Host Controller
May  8 08:19:11 gestalt kernel: ehci_hcd 0000:00:1d.7: debug port 1
May  8 08:19:11 gestalt kernel: ehci_hcd 0000:00:1d.7: new USB bus registered,
assigned bus number 1
May  8 08:19:11 gestalt kernel: ehci_hcd 0000:00:1d.7: irq 18, io mem 0xffa80800
Comment 5 Mike Cohler 2006-05-08 03:19:13 EDT
Created attachment 128731 [details]
/var/log/messages including boot for 08 May 2006

Here is the full messages file
Comment 6 Dave Jones 2006-10-16 16:54:12 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Mike Cohler 2006-10-27 05:59:09 EDT
This bug remains for the new kernel 2.6.18-1.2200.fc5smp
Messages file section follows as an attachment
Comment 8 Mike Cohler 2006-10-27 06:00:42 EDT
Created attachment 139566 [details]
Section of /var/log/messages for boot of kernel 2.6.18-1.2200.fc5smp
Comment 9 Mike Cohler 2006-11-21 05:52:01 EST
Created attachment 141750 [details]
/var/log/messages

Contains the messages from the boot today with fully updated FC6 system
Comment 10 Mike Cohler 2006-11-21 05:54:15 EST
Messages file for the boot from today (Attached above) still shows the same line
as previously. The system is now running FC6 fully up to date as at 21 November
2006.

Relevant lines from the messages file are:
Nov 21 10:42:11 gestalt kernel: hub 5-0:1.0: 8 ports detected
Nov 21 10:42:11 gestalt kernel: SCSI subsystem initialized
Nov 21 10:42:11 gestalt kernel: ata_piix 0000:00:1f.2: MAP [ P0 P2 P1 P3 ]
Nov 21 10:42:11 gestalt kernel: ACPI: PCI Interrupt 0000:00:1f.2[C] -> GSI 20
(level, low) -> IRQ 233
Nov 21 10:42:11 gestalt kernel: ata1: SATA max UDMA/133 cmd 0xFE00 ctl 0xFE12
bmdma 0xFEA0 irq 233
Nov 21 10:42:11 gestalt kernel: ata2: SATA max UDMA/133 cmd 0xFE20 ctl 0xFE32
bmdma 0xFEA8 irq 233
Nov 21 10:42:11 gestalt kernel: scsi0 : ata_piix
Nov 21 10:42:11 gestalt kernel: usb 1-1: device not accepting address 2, error -71
Nov 21 10:42:11 gestalt kernel: ata1.00: ATA-7, max UDMA/133, 312500000 sectors:
LBA48 NCQ (depth 0/32)
Nov 21 10:42:11 gestalt kernel: ata1.00: ata1: dev 0 multi count 8
Nov 21 10:42:11 gestalt kernel: ata1.00: configured for UDMA/133
Nov 21 10:42:11 gestalt kernel: scsi1 : ata_piix
Nov 21 10:42:11 gestalt kernel: ATA: abnormal status 0x7F on port 0xFE27
Nov 21 10:42:11 gestalt kernel:   Vendor: ATA       Model: ST3160812AS      
Rev: 3.AD
Nov 21 10:42:11 gestalt kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 05
Nov 21 10:42:11 gestalt kernel: SCSI device sda: 312500000 512-byte hdwr sectors
(160000 MB)
Nov 21 10:42:11 gestalt kernel: sda: Write Protect is off
Nov 21 10:42:11 gestalt kernel: SCSI device sda: drive cache: write back
Nov 21 10:42:11 gestalt kernel: SCSI device sda: 312500000 512-byte hdwr sectors
(160000 MB)
Nov 21 10:42:11 gestalt kernel: sda: Write Protect is off
Comment 11 Jeronimo Martinez Sanchez 2006-11-28 23:47:18 EST
Created attachment 142362 [details]
message file
Comment 12 Jeronimo Martinez Sanchez 2006-11-29 00:00:23 EST
I got the same message with my sata drive(Barracuda 7200.9 SATA ST3160812AS  
(160 GB, 7200 RPM)) and the system freeze randomly, i using Fedora core 6,  
kernel-2.6.18-1.2849.fc6, here 
is my messages file 

Nov 26 20:51:03 xaero kernel: sata_via 0000:00:0f.0: routed to hard irq line 11
Nov 26 20:51:03 xaero kernel: ata1: SATA max UDMA/133 cmd 0xAC00 ctl 0xB002 
bmdma 0xBC00 irq 169
Nov 26 20:51:03 xaero kernel: ata2: SATA max UDMA/133 cmd 0xB400 ctl 0xB802 
bmdma 0xBC08 irq 169
Nov 26 20:51:03 xaero kernel: scsi0 : sata_via
Nov 26 20:51:03 xaero kernel: ata1: SATA link up 1.5 Gbps (SStatus 113 
SControl 300)
Nov 26 20:51:03 xaero kernel: ata1.00: ATA-7, max UDMA/133, 312581808 sectors: 
LBA48 NCQ (depth 0/32)
Nov 26 20:51:03 xaero kernel: ata1.00: ata1: dev 0 multi count 16
Nov 26 20:51:03 xaero kernel: ata1.00: configured for UDMA/133
Nov 26 20:51:03 xaero kernel: scsi1 : sata_via
Nov 26 20:51:03 xaero kernel: ata2: SATA link down 1.5 Gbps (SStatus 0 
SControl 300)
Nov 26 20:51:03 xaero kernel: ATA: abnormal status 0x7F on port 0xB407
Nov 26 20:51:03 xaero kernel:   Vendor: ATA       Model: ST3160812AS       
Rev: 3.AA
Nov 26 20:51:03 xaero kernel:   Type:   Direct-Access                      
ANSI SCSI revision: 05
Nov 26 20:51:03 xaero kernel: SCSI device sda: 312581808 512-byte hdwr sectors 
(160042 MB)
Nov 26 20:51:03 xaero kernel: sda: Write Protect is off
Nov 26 20:51:03 xaero kernel: SCSI device sda: drive cache: write back
Nov 26 20:51:03 xaero kernel: SCSI device sda: 312581808 512-byte hdwr sectors 
(160042 MB)
Nov 26 20:51:03 xaero kernel: sda: Write Protect is off
Nov 26 20:51:03 xaero kernel: SCSI device sda: drive cache: write back
Nov 26 20:51:03 xaero kernel:  sda: sda1 sda2 sda3 sda4
Nov 26 20:51:03 xaero kernel:  sda4: <bsd: sda5 sda6 sda7 sda8 sda9 >
Nov 26 20:51:03 xaero kernel: sd 0:0:0:0: Attached scsi disk sda

and the system freeze randomly 

Nov 26 20:51:12 xaero kernel: idr_remove called for id=0 which is not 
allocated.
Nov 26 20:51:12 xaero kernel:  [<c04051db>] dump_trace+0x69/0x1af
Nov 26 20:51:12 xaero kernel:  [<c0405339>] show_trace_log_lvl+0x18/0x2c
Nov 26 20:51:12 xaero kernel:  [<c04058ed>] show_trace+0xf/0x11
Nov 26 20:51:12 xaero kernel:  [<c04059ea>] dump_stack+0x15/0x17
Nov 26 20:51:12 xaero kernel:  [<c04e4c29>] idr_remove+0xe0/0x141
Nov 26 20:51:12 xaero kernel:  [<c0530ef2>] release_dev+0x5cf/0x5e7
Nov 26 20:51:12 xaero kernel:  [<c0532d1d>] tty_open+0x301/0x369
Nov 26 20:51:12 xaero kernel:  [<c0476eca>] chrdev_open+0xfb/0x12f
Nov 26 20:51:12 xaero kernel:  [<c046de32>] __dentry_open+0xc7/0x1ab
Nov 26 20:51:12 xaero kernel:  [<c046df90>] nameidata_to_filp+0x24/0x33
Nov 26 20:51:12 xaero kernel:  [<c046dfd1>] do_filp_open+0x32/0x39
Nov 26 20:51:12 xaero kernel:  [<c046e01a>] do_sys_open+0x42/0xbe
Nov 26 20:51:12 xaero init: open(/dev/pts/0): No such file or directory
Nov 26 20:51:13 xaero last message repeated 3 times
Nov 26 20:51:13 xaero kernel:  [<c046e0cf>] sys_open+0x1c/0x1e
Nov 26 20:51:13 xaero kernel:  [<c0404013>] syscall_call+0x7/0xb
Nov 26 20:51:13 xaero kernel: DWARF2 unwinder stuck at syscall_call+0x7/0xb
Nov 26 20:51:13 xaero kernel: Leftover inexact backtrace:
Nov 26 20:51:13 xaero kernel:  =======================


before the system freeze 

kernel ata1.00:	execption Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
kernel ata1.00:	(BMDMA stat 0x24)
kernel ata1.00:	tag 0 cmd 0xca Emask 0x4 stat 0x40 err 0x0 (timeout)
kernel ata1: 	SATA link up 1.5Gbps (SStatus 113 Scontrol 300)
kernel ata1: 	soft resetting port
kernel ata1.00:	qc timeout(cmd 0xec)
kernel ata1.00:	failed to IDENTIFY (I/0 error, err_maks= 0x4)
kernel ata1.00:	revalidation failed (errno =.5)
kernel ata1:	failed to recover some devices, retriying in 5 secs
kernel ata1: 	SATA link up 1.5Gbps (SStatus 113 Scontrol 300)
kernel ata1: 	soft resetting port
kernel ata1.00:	disable
kernel ata1	EH complete
sd 0:0:0:0 SCSI error: return code = 0x00040000


Comment 13 David Juran 2007-02-05 03:24:02 EST
Running kernel-2.6.19-1.2895.fc6 on my Dell Latitude D820 laptop, if I remove my
DVD-rom (which is supposed to be hot-pluggable, right?) I get the following
messages in syslog and also occasionally the computer freezes and needs a hard
reset. I use the boot parameter 'combined_mode=Libra'

Feb  5 10:19:12 a81-197-248-123 kernel: ATA: abnormal status 0x7F on port 0x177
Feb  5 10:19:12 a81-197-248-123 last message repeated 2 times
Feb  5 10:19:12 a81-197-248-123 kernel: ata2: DRQ=1 with device error, dev_stat 0x7F
Feb  5 10:19:12 a81-197-248-123 kernel: ata2.00: exception Emask 0x0 SAct 0x0
SErr 0x0 action 0x2 frozen
Feb  5 10:19:12 a81-197-248-123 kernel: ata2.00: tag 0 cmd 0xa0 Emask 0x2 stat
0x7f err 0x7f (HSM violation)
Feb  5 10:19:12 a81-197-248-123 kernel: ata2: soft resetting port
Feb  5 10:19:13 a81-197-248-123 kernel: ATA: abnormal status 0x7F on port 0x177
Feb  5 10:19:15 a81-197-248-123 last message repeated 6 times
Feb  5 10:19:15 a81-197-248-123 kernel: ata2.00: failed to IDENTIFY (I/O error,
err_mask=0x3)
Feb  5 10:19:15 a81-197-248-123 kernel: ata2.00: revalidation failed (errno=-5)
Feb  5 10:19:15 a81-197-248-123 kernel: ata2: failed to recover some devices,
retrying in 5 secs
Feb  5 10:19:20 a81-197-248-123 kernel: ata2: soft resetting port
Feb  5 10:19:20 a81-197-248-123 kernel: ATA: abnormal status 0x7F on port 0x177
Feb  5 10:19:20 a81-197-248-123 last message repeated 6 times
Feb  5 10:19:20 a81-197-248-123 kernel: ata2.00: failed to IDENTIFY (I/O error,
err_mask=0x3)
Feb  5 10:19:20 a81-197-248-123 kernel: ata2.00: revalidation failed (errno=-5)
Feb  5 10:19:20 a81-197-248-123 kernel: ata2: failed to recover some devices,
retrying in 5 secs
Feb  5 10:19:25 a81-197-248-123 kernel: ata2: soft resetting port
Feb  5 10:19:25 a81-197-248-123 kernel: ATA: abnormal status 0x7F on port 0x177
Feb  5 10:19:30 a81-197-248-123 last message repeated 6 times
Feb  5 10:19:30 a81-197-248-123 kernel: ata2.00: failed to IDENTIFY (I/O error,
err_mask=0x3)
Feb  5 10:19:30 a81-197-248-123 kernel: ata2.00: revalidation failed (errno=-5)
Feb  5 10:19:30 a81-197-248-123 kernel: ata2.00: disabled
Feb  5 10:19:30 a81-197-248-123 kernel: ata2: EH complete
Comment 14 Mike Cohler 2007-09-18 11:07:42 EDT
Since running F7 this error no longer appears on the bootup screen. I am
therefore closing this bug as resolved in the current system.

Note You need to log in before you can comment on or make changes to this bug.